Subject: FVWM: focus and pointer

From: Sergios <[email-masked]>
Date: Thu, 18 Apr 1996 15:02:40 +0300

I just installed fvwm 2.0.41. is it possible to bring a window to top
(focus) without the mouse cursor moving to the top left corner of the
window? I was thinking of the way MSWindows "circulates" windows with
alt-tab. the mouse pointer does not move.
circulate: with the old fvwm 1.x I could define this:

Key Tab         A       M       CirculateUp
Key Tab         A       MS      CirculateDown

now it does not work. do I miss something...

btw I read somewhere about fvwm-95 "which gives the 95 look and feel" and I
suppose it is possible now to include pixmaps in the *title bar*? how can I
do that?

thanks and sorry for the bad english/
------------------------------------------------------------------------
Life is a fatal disease, the end result is always death.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kai Grossjohann <[email-masked]>
Date: 18 Apr 1996 14:42:18 +0200

>>>>> On Thu, 18 Apr 1996 15:02:40 +0300, Sergios
>>>>> <[email-masked]> said:

  Sergios> I just installed fvwm 2.0.41. is it possible to bring a
  Sergios> window to top (focus) without the mouse cursor moving to
  Sergios> the top left corner of the window?

There is a Focus-patch for 2.0.41 which is built-in to 2.0.42.  It
lets you specify the position to warp to (with the Focus function):
    Focus   0   0       ul corner
    Focus  50  50       center
    Focus 100   0       ur corner
    Focus   0 100       ll corner

regards,
kai
--
There ain't no cure for the summertime blues.

---

From: John Williams <[email-masked]>
Date: Thu, 18 Apr 1996 10:30:54 -0600 (MDT)

> suppose it is possible now to include pixmaps in the *title bar*? how can I

Could this be a problem with Keyboard Modifiers in Fvwm2?

I like the sides to resize as well as the corners, but I would still
like to move windows which don't have a titlebar.  So in fvwm-1 I was
able to make Control- or Meta-click move the window, but the following
does not work in fvwm-2.  Any suggestions?

# Button 1 in the corner or sides, without modifiers, gives resize or raise
Mouse 1         FS      A       Function "Resize-or-Raise"
# Button 1 in the title, or border with modifiers, gives move or raise
Mouse 1         FS      M       Function "Move-or-Raise"
Mouse 1         FS      C       Function "Move-or-Raise"
Mouse 1         T       A       Function "Move-or-Raise"

For now I can use a menu bound to button two to move the window,
but it would be nice if the above could work too.

# Button 2 in the corners, sides, or title-bar gives the window ops menu
Mouse 2         FST     A       Function "window_ops_func"

BTW, I also see the "sticky" behavior, in which a window gets stuck in
"move" mode after clicking and releasing in the title bar.  It happens
often (say, 1 of 20 clicks), and occurs even when the window is already
on top.

~John Williams
 (Linux-1.2.13 / XFree86-3.1.2D / Fvwm-2.0.42)

---

From: Chris Rode <[email-masked]>
Date: Thu, 18 Apr 1996 12:39:12 CDT

Sergios <[email-masked]> wrote:

}btw I read somewhere about fvwm-95 "which gives the 95 look and feel" and I

}suppose it is possible now to include pixmaps in the *title bar*? how can I

}do that?

To put pixmaps in the title bar, you use ButtonStyle, which is documented in 
the fvwm2 manpage:

     ButtonStyle button# [Full]Pixmap pixmap-up [pixmap-down]

          Defines a pixmap to be displayed on a title-bar button.  button# is

          the title-bar button, and is between 0 and 9.  One or two pixmaps

          can be specified.  The first pixmap is shown as the "up" button

          position and the second as the "down" position.  If the second pix-

          map is not specified, the first one is used for both positions.

          One might define the following definitions:

               ButtonStyle 2 Pixmap pixmap_both.xpm

               ButtonStyle 4 Pixmap pixmap_up.xpm pixmap_down.xpm

          The pixmap specification can be given as an absolute or relative

          pathname (see PixmapPath).  If any of the pixmaps cannot be found,

          the entire button reverts to a simple rectangle with no pixmaps.

          If the word Full is prefixed to Pixmap, then the pixmap can use the

          entire height of the title-bar (i.e. the relief border around the

          button is not drawn).

I have played around with this and have created some pixmaps to use in my 
title bars that give it a very win95-ish look and feel...my .fvwm2rc, a couple 
of screen shots, and the pixmaps i created can be found at:

          http://www.public.iastate.edu/~crode/dotfiles.html

--chris.

--

chris rode - [email-masked]                -- Help Room Consultant

http://www.public.iastate.edu/~crode/         -- 138 Durham Center, 294-1314

"why don't we just have a stupidity    depeche mode, erasure, moby, new order,

 tax? just tax the stupid people!"     pet shop boys and recoil rock my world.

chris rode - [email-masked]                -- Help Room Consultant

http://www.public.iastate.edu/~crode/         -- 138 Durham Center, 294-1314

"why don't we just have a stupidity    depeche mode, erasure, moby, new order,

 tax? just tax the stupid people!"     pet shop boys and recoil rock my world.